Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.filter
Interface Mask

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  MaskRable8Bit

public interface Mask
extends Filter

Implements a masking operation. This masks the source by the result of converting the GraphicsNode to a mask image.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.geom.Rectangle2D` | `getFilterRegion()` The region to which this mask applies
`GraphicsNode` | `getMaskNode()` Returns the Graphics node that the mask operation will use to define the masking image.
`Filter` | `getSource()` This returns the current image being masked by the mask node.
`void` | `setFilterRegion(java.awt.geom.Rectangle2D filterRegion)` Returns the filter region to which this mask applies
`void` | `setMaskNode(GraphicsNode gn)` Set the masking image to that described by gn.
`void` | `setSource(Filter src)` The source to be masked by the mask node.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getFilterRegion

    public java.awt.geom.Rectangle2D getFilterRegion()

  The region to which this mask applies

### setFilterRegion

    public void setFilterRegion(java.awt.geom.Rectangle2D filterRegion)

  Returns the filter region to which this mask applies

### setSource

    public void setSource(Filter src)

  The source to be masked by the mask node.

  Parameters:
    `src` - The Image to be masked.

### getSource

    public Filter getSource()

  This returns the current image being masked by the mask node.

### setMaskNode

    public void setMaskNode(GraphicsNode gn)

  Set the masking image to that described by gn. If gn is an rgba image then the alpha is premultiplied and then the rgb is converted to alpha via the standard feColorMatrix rgb to luminance conversion. In the case of an rgb only image, just the rgb to luminance conversion is performed.

  Parameters:
    `gn` - The graphics node that defines the mask image.

### getMaskNode

    public GraphicsNode getMaskNode()

  Returns the Graphics node that the mask operation will use to define the masking image.

  Returns:
    The graphics node that defines the mask image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.